customElements.define("daily-temp", class DailyTempeture extends HTMLElement {
    constructor() {
        super();

        // this.attachShadow({mode:"open"});
    }

    connectedCallback() {

        const state = {
            day: this.day(new Date().getDay()),
            high: 72,
            low: 64
        }


        this.innerHTML = this.render(state);
    }

    day(idx) {
        const days = ["SUN","MON","TUE","WED","THU","FRI","SAT"];

        return days[idx];
    }

    render(state = {}) {
        return `
            <section>
                <strong>${state.day}</strong>
                <div>
                    <i class="${state.icon || 'ft-sun'}" style="font-size: 2.2rem"></i>
                </div>
                <div>
                    <div>
                        <strong>${state.high}&#176;</strong> / ${state.low}&#176;
                    </div>
                </div>
            </section>
        `;
    }
});